import { AiAgent } from '@/models/agent.ts';
import { RouterCodeModel } from '@/models/code.ts';
import { Prompt } from '@/models/prompt.ts';

import { User } from '@/models/user.ts';
import { ContainerModel } from '@/routes/container/models/index.ts';
import { PageModel } from '@/routes/page/models/index.ts';
import { ResourceModel } from '@/routes/resource/models/index.ts';

// declare uid: string;
// uid: {
//   type: DataTypes.UUID,
//   allowNull: true,
// },
// 系统表
export const stystemTables = [AiAgent, RouterCodeModel, Prompt];

export const userTables = [ContainerModel, PageModel, ResourceModel];

const rootUid = '14206305-8b5c-44cc-b177-766cfe2e452f';

const updateUser = async () => {
  const updateTables = [...userTables] as any[];
  for (let Table of updateTables) {
    // const res = await ContainerModel.update({ uid: rootUid }, { where: { uid: null } });
    try {
      const list = await Table.update({ uid: rootUid }, { where: { uid: null } });
      console.log('update--', list.length);
    } catch (e) {
      console.log(e);
    }
  }
};

// updateUser();
